package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.MrqcSysApplication;
import com.diagbot.entity.QcType;
import com.diagbot.service.impl.QcTypeServiceImpl;
import org.springframework.boot.SpringApplication;
import org.springframework.stereotype.Component;

@Component
public class QcTypeFacade extends QcTypeServiceImpl {

    public Long saveT(QcType qcType){
        this.baseMapper.insert(qcType);
        QueryWrapper<QcType> qWrapper =new QueryWrapper<>();
        qWrapper.eq("name",qcType.getName());
        qWrapper.eq("hospital_id", qcType.getHospitalId());
        QcType entity=this.baseMapper.selectOne(qWrapper);
        return entity.getId();
    }
}
